function dYfuncvecdt = ODEfun(t,Yfuncvec); 
X = Yfuncvec(1); 
% Explicit equations
T = 515 + 90.1 * X; 
k = 0.000273 * exp(16306 * (1 / 535 - (1 / T))); 
% Differential equation
dXdt = k * (1 - X); 
dYfuncvecdt = [dXdt]; 

